#include <bits/stdc++.h>
#define ll long long

using namespace std;

const int mxN = 2e5;
int n;
map<double, ll> a;
double p[mxN+10];
ll pre[mxN+10];

int main(){

    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin >> n;
    for (int i = 0; i < n; i++){
        ll x; double p;
        cin >> x >> p;
        a[p] += x;
    }
    n = a.size();

    auto it = a.rbegin();
    p[0] = it->first;
    pre[0] = it->second;
    ++it;
    for (int i = 1; it != a.rend(); ++it, ++i){
        p[i] = it->first;
        pre[i] = pre[i-1] + it->second;
    }

    double ans = 0;
    for (int i = 0; i < n; i++)
        ans = max(ans, (double)pre[i] / 100.00000 * p[i]);

    cout << setprecision(5) << fixed;
    cout << ans << '\n';

    return 0;
}